Subject: Re: [lojban] Tidying notes on {goi}

From: "Jorge Llambias" <[email-masked]>
Date: Thu, 26 Jul 2001 23:01:26

la pycyn cusku di'e

>Well, no. My answer was for the particular case where the first quantifier
>was {ro} and so took in all the prenu. With other initial quantifiers, it
>works out that the retriction attached to the second use is that they all 
>are
>among those selected by the first quantifier,

What? Quantifiers don't select anything. {su'o da poi prenu cu prami}
is a statement about the set of all persons.

>i.e. roughly {su'o da poi
>prenu su'o de po'u da zo'u} (I'm not sure this will exactly work until I 
>run
>the expansion, which I am too lazy to do just now).

I don't think we can have one rule for {ro} and a different rule
for {su'o}, as it would cause all sorts of inconsistencies.
Consider this for example:

su'o da poi prenu ku'o naku zo'u da prami su'o da

which is logically equivalent to:

naku ro da poi prenu zo'u da prami su'o da

So we can't replace one {su'o da} for {su'o de} and the other
one for {da} just on the grounds that the previous quantifier was
ro or su'o. The Right Thing is obviously that {su'o da} in
both cases (which is really the same case) should be equivalent
to {su'o de poi prenu}.

This is also more or less what happens in natlangs in any case:
"No student took that class. They hate the teacher." "They"
obviously refers to all the students, not to "no student".
In Lojban that might go something like {no da poi tadni cu cilre
fo ko'a i ro da xebni le ctuca}.

>That is, once {da} is
>set up as a term, quantifiers work on it as they do on other terms {lo 
>broda}
>for example.

{su'o lo prenu} may refer to a different prenu every time it
is used. I don't understand how you could have a double binding
in this case.

>I am unsure what that would mean for the {goi} case; probably gobbledygook
>unless la alphas was the same entity as la betas.

In {da goi la alfas} la alfas cannot have a previous referent.
If it does, then it is gobbledygook.

>What does {ko'a goi la
>alfas ko'a goi la betas} mean: {da} should be the same.

No! I need context to know what {ko'a goi la alfas} means.
With no context, I will assume {la alfas} already has a
referent and so it is ko'a that is being assigned. Then if
{la beta} has no referent, {ko'a goi la beta} assigns the
same referent to it.

In {su'o da goi la alfas}, da cannot be assigned anything,
as it is a variable bound by {su'o}, a variable that runs
over all things, and the assignment simply means that you
can now use {la alfas} to stand for this variable.

><On a related issue, what happens here: {su'o da goi xy ...
>da'o ... xy}. Does da'o clear the xy assignment? Presumably
>it does, as it clears all pro-sumti, doesn't it? But da'o
>is not necessary to use da again, all that is necessary is
>a new quantifier.>
>
>Yes {da'o} clears the xy assignment and the subsequent {da} is a new
>quantifier, not now restricted to xy.

That's what I thought. You will have to correct you demonstration
then, as you leave xy dangling unassigned in the middle of it:

http://groups.yahoo.com/group/lojban/message/8199

>But without the {da'o} (or other
>devices for clearing assignments), even {ro da} would be restricted to xy.
>
>I think. This is expansion of Book 16:14 (pp 410-1)

What happens if The Book is in contradiction with Logic? Which one
wins?

mu'o mi'e xorxes

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp